Bug 1014885 - SELinux is preventing /usr/sbin/NetworkManager from 'use' accesses on the fd /run/systemd/inhibit/1.ref.
SELinux is preventing /usr/sbin/NetworkManager from 'use' accesses on the fd ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:6a078436484beec9fb9d5aa36df...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 22:56 EDT by Moez Roy
Modified: 2013-11-10 01:21 EST (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-90.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:21:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moez Roy 2013-10-02 22:56:00 EDT
Description of problem:
Why do we need to enable the domain_fd_use boolean???
SELinux is preventing /usr/sbin/NetworkManager from 'use' accesses on the fd /run/systemd/inhibit/1.ref.

*****  Plugin catchall_boolean (89.3 confidence) suggests   ******************

If you want to allow domain to fd use
Then you must tell SELinux about this by enabling the 'domain_fd_use' boolean.
You can read 'None' man page for more details.
Do
setsebool -P domain_fd_use 1

*****  Plugin catchall (11.6 confidence) suggests   **************************

If you believe that NetworkManager should be allowed use access on the 1.ref fd by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gdbus /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:NetworkManager_t:s0
Target Context                system_u:system_r:systemd_logind_t:s0
Target Objects                /run/systemd/inhibit/1.ref [ fd ]
Source                        gdbus
Source Path                   /usr/sbin/NetworkManager
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           NetworkManager-0.9.9.0-13.git20131001.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-84.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.2-301.fc20.x86_64 #1 SMP Fri
                              Sep 27 19:45:03 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-10-02 19:53:28 PDT
Last Seen                     2013-10-02 19:53:28 PDT
Local ID                      56d93093-5d66-494f-b696-a9329c08da1b

Raw Audit Messages
type=AVC msg=audit(1380768808.169:39): avc:  denied  { use } for  pid=490 comm="gdbus" path="/run/systemd/inhibit/1.ref" dev="tmpfs" ino=14769 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:system_r:systemd_logind_t:s0 tclass=fd


type=SYSCALL msg=audit(1380768808.169:39): arch=x86_64 syscall=recvmsg success=yes exit=EBUSY a0=d a1=7f0361edb9d0 a2=40000000 a3=0 items=0 ppid=1 pid=490 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=gdbus exe=/usr/sbin/NetworkManager subj=system_u:system_r:NetworkManager_t:s0 key=(null)

Hash: gdbus,NetworkManager_t,systemd_logind_t,fd,use

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.11.2-301.fc20.x86_64
type:           libreport

Potential duplicate: bug 955388
Comment 1 Moez Roy 2013-10-02 22:57:13 EDT
Why do we need to enable the domain_fd_use boolean???
Comment 2 Daniel Walsh 2013-10-04 11:13:55 EDT
b40e2ac38b0ffd8861e17dcbc39e3c5bf2cc83c4 fixes this in git.
Comment 4 Moez Roy 2013-10-07 13:43:00 EDT
please include this fix in F19 policy also. thanks.
Comment 5 Lukas Vrabec 2013-10-08 06:39:58 EDT
Fix will be included in new selinux-policy package for f19.
Comment 6 Fedora Update System 2013-10-15 12:30:33 EDT
selinux-policy-3.12.1-90.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-90.fc20
Comment 7 Fedora Update System 2013-10-17 16:21:57 EDT
Package selinux-policy-3.12.1-90.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-90.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19129/selinux-policy-3.12.1-90.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-11-10 01:21:45 EST
selinux-policy-3.12.1-90.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.